# The Docker image that will be used to build your app
image: node:17
pages:
  stage: deploy
  script:
    - npm install
    - npm run build
    - rm -rf public
    - cp build/index.html build/404.html
    - mv build public
  artifacts:
    paths:
      - public
  only:
    - master
